Crashpad

Public Attributes | List of all members
crashpad::RegistrationResponse Struct Reference

A client registration response. More...

`#include "util/win/registration_protocol_win.h"`

## Public Attributes
int | request_crash_dump_event
| An event `HANDLE`, valid in the client process, that should be signaled to request a crash report. Clients should convert the value to a `HANDLE` by calling IntToHandle().
int | request_non_crash_dump_event
| An event `HANDLE`, valid in the client process, that should be signaled to request a non-crashing dump be taken. Clients should convert the value to a `HANDLE` by calling IntToHandle().
int | non_crash_dump_completed_event
| An event `HANDLE`, valid in the client process, that will be signaled by the server when the non-crashing dump is complete. Clients should convert the value to a `HANDLE` by calling IntToHandle().

## Detailed Description

A client registration response.

The documentation for this struct was generated from the following file:

- util/win/registration_protocol_win.h